// ignore_for_file: non_constant_identifier_names

import "language_core.dart";
import "language_code_data.dart";

extension SettingsHelpExtensionLanguage on Language {
  /// default return
  /// ```dart
  /// "Bantuan";
  /// ```
  String settings_help_title({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Bantuan",
      "en": "Help",
      "ko": "돕다",
      "my": "ကူညီကြပါ",
      "th": "ช่วย"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_help_title",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Kirim Pertanyaan";
  /// ```
  String settings_help_send_question({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Kirim Pertanyaan",
      "en": "Send questions",
      "ko": "질문을 보냅니다",
      "my": "မေးခွန်းများပို့ပါ",
      "th": "ส่งคำถาม"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_help_send_question",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Pertanyaan Umum";
  /// ```
  String settings_help_question_general({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Pertanyaan Umum",
      "en": "Common question",
      "ko": "일반적인 질문",
      "my": "ဘုံမေးခွန်း",
      "th": "คำถามทั่วไป"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_help_question_general",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Kebijakan Privasi";
  /// ```
  String settings_help_terms_of_services({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Kebijakan Privasi",
      "en": "Privacy Policy",
      "ko": "개인 정보 정책",
      "my": "ကိုယ်ရေးအချက်အလက်မူဝါဒ",
      "th": "นโยบายความเป็นส่วนตัว"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_help_terms_of_services",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }
}
